Page MenuHomePhabricator

Provide useful HTML title for Lexemes
Closed, ResolvedPublic5 Story Points

Description

As a reader I want to see a meaningful page title for Lexeme pages in order to quickly see what is in an open tab.

Problem:
The page title is currently "ID of the Lexeme - site name", which is not very meaningful to users.

Example:
https://www.wikidata.org/wiki/Lexeme:L1 is "L1 - Wikidata"

BDD
GIVEN a Lexeme page
THEN the page title is "Lemma(s) - site name"

Notes:

  • We don't worry about too long titles for now.
  • We concatenate multiple Lemmas in the usual way (with internationalized /)
  • ViewEntityActionTest::testMetaTags_withoutDescription talks about "wikibase-meta-tags" which may be a lead to tackle this
  • Property pages do have nice text in titles, e.g. https://www.wikidata.org/wiki/Property:P5477
  • Properties and items seem to get their titles from EntityParserOutputGenerator::getTitleText

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterIntegration test for LexemeMetaTags
mediawiki/extensions/Wikibase : masterInclude EntityMetaTags in EntityParserOutputGenerator
mediawiki/extensions/Wikibase : masterIntroduce EntityMetaTags and make configurable for entity types

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 23 2018, 3:37 PM
Ltrlg added a subscriber: Ltrlg.Jun 7 2018, 6:59 PM
Vvjjkkii renamed this task from Provide useful title for lexemes to xfcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from xfcaaaaaaa to Provide useful title for lexemes.Jul 2 2018, 4:39 AM
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Lydia_Pintscher renamed this task from Provide useful title for lexemes to Provide useful HTML title for Lexemes.Jul 9 2018, 9:08 AM
Lydia_Pintscher updated the task description. (Show Details)
Jakob_WMDE set the point value for this task to 5.Jul 10 2018, 12:44 PM
Pablo-WMDE updated the task description. (Show Details)Jul 25 2018, 10:21 AM
Jakob_WMDE updated the task description. (Show Details)Jul 25 2018, 10:23 AM

Change 449160 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] WIP DNM - PageTitles via configurable callbacks

https://gerrit.wikimedia.org/r/449160

hoo added a subscriber: hoo.Aug 7 2018, 2:18 PM

Change 451783 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Include EntityMetaTags in EntityParserOutputGenerator

https://gerrit.wikimedia.org/r/451783

Change 451833 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseLexeme@master] Integration test for LexemeMetaTags

https://gerrit.wikimedia.org/r/451833

Change 449160 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Introduce EntityMetaTags and make configurable for entity types

https://gerrit.wikimedia.org/r/449160

Change 451783 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Include EntityMetaTags in EntityParserOutputGenerator

https://gerrit.wikimedia.org/r/451783

The lemma doesn’t appear on the history page – is that out of scope for this task?

Change 451833 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Integration test for LexemeMetaTags

https://gerrit.wikimedia.org/r/451833

@Lucas_Werkmeister_WMDE Good point - let me create another ticket :D